Package Details: dolphin-emu-cli-git 5.0.r27.64cf74a-1

Git Clone URL: https://aur.archlinux.org/dolphin-emu-git.git (read-only)
Package Base: dolphin-emu-git
Description: A GameCube / Wii / Triforce emulator
Upstream URL: http://www.dolphin-emu.org/
Licenses: GPL
Submitter: None
Maintainer: alucryd
Last Packager: alucryd
Votes: 84
Popularity: 0.464126
First Submitted: 2011-08-20 13:05
Last Updated: 2016-06-25 16:41

Dependencies (5)

Required by (0)

Sources (1)

Latest Comments

saildata commented on 2017-03-13 19:55

Confirmed working:
Version: 5.0.r2897.8035270aa8-1
Kernel: 4.10
NVIDIA: 378.13
Tested: Vulkan 1080p, 2160p; No regressions noted.

VerruckteFuchs commented on 2017-02-17 22:57

When I try to start a game I'm getting:

WriteRest: op out of range (0x41f5a039 uses 0x7f42f087d2a8)

Clicking "No" on the dialog box results in dolphin-emu aborting with a core dump.

edit:

I'm also getting some compiler issues/warnings with JIT during compile along with some UGeckoInstruction inst being defined as the wrong type.

mitch1887 commented on 2017-02-06 14:51

I am also having issues with missing icons and INI files.

piejacker875 commented on 2017-02-04 14:21

I've been having some trouble with missing INI files. This is leading to missing icons in the main window and games not functioning properly due to configuration settings not being applied.

alucryd commented on 2017-01-29 15:53

makepkg allows for installing only the split packages you want, there's nothing wrong with the PKGBUILD.

lmello commented on 2017-01-27 19:43

The PKGBUILD shouldn't automatically install three packages at once:


package_dolphin-emu-git() {
provides=('dolphin-emu')
conflicts=('dolphin-emu')

cd dolphin-emu/build

make DESTDIR="${pkgdir}" install
rm -rf "${pkgdir}"/usr/bin/dolphin-emu-{nogui,qt2}

install -Dm 644 ../Data/51-usb-device.rules -t "${pkgdir}"/usr/lib/udev/rules.d/
}

package_dolphin-emu-cli-git() {
depends=('dolphin-emu-git')

cd dolphin-emu/build

install -dm 755 "${pkgdir}"/usr/bin
install -m 755 Binaries/dolphin-emu-nogui "${pkgdir}"/usr/bin/dolphin-emu-cli
}

package_dolphin-emu-qt-git() {
depends=('dolphin-emu-git' 'qt5-base')

cd dolphin-emu/build

install -dm 755 "${pkgdir}"/usr/bin
install -m 755 Binaries/dolphin-emu-qt2 "${pkgdir}"/usr/bin/
}

mralext20 commented on 2017-01-09 18:34

anyone able to compile this as of v1729? i am unable to compile and the compile fails at around 100% completion

e8hffff commented on 2016-12-16 14:13

Can anyone actually get this working without using a Rassberry Pi proof of concept run, or some system that never gets patched? Like can real people run this project and it syncs with their wiimotes everytime?

alucryd commented on 2016-12-14 18:09

kthx

e8hffff commented on 2016-12-14 18:03

Useless project for Linux as bluetooth is bombed out as soon as you attempt to sync the Wiimote in Dolphin using KDE or Gnome. The alternative detection doesn't work neither. MS Windows works fine. Conspiracy, maybe, but definitely a dud project on Linux as you can't even deploy a fundamental aspect.

All comments